Create order announcement

This endpoint initiates the payment process by announcing a new order to Rabo Smart Pay. You can tailor the request with fields such as amount, currency, language, and payment brand to match the payment type and customer experience. Upon success, it returns a redirect URL to send the customer to the payment page.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The details of the order.

amount
object
required

The total order amount in cents, including VAT. The amount must be equal to the sum over all order items of the piece price (including VAT) multiplied by the quantity.

Note: if the amount is not equal to the sum of the amounts of the order items then the order items from the order announcement are filtered.

billingDetail
object

This structure contains address details and is typically used in specifying billing and shipping details of an order.

customerInformation
object

Customer details that are typically of interest for cards transactions.

string

Description of the order. If the description contains more than 35 characters then the extra characters are removed after the 35th character.

string

This field is used to track transactions initiated by a specific party. Only supply this field in consultation with the Rabobank.

string
enum
Defaults to EN

The language of the payment pages.

Allowed:
string
required

Generated by the webshop. This field has two types of validations based on if the shopperBankstatementReference is supplied or not.

  • if shopperBankstatementReference is supplied: It allows all ascii characters up to a length of 64 characters, if the ID contains more than 64 characters, the extra characters are removed after the 64th character.
  • else: It should adhere to the pattern: '[A-Za-z0-9]{1,24}', if the ID contains more than 24 characters, the extra characters are removed after the 24th character.
uri
required

The URL to which the consumer's browser will be redirected after the payment.

orderItems
array of objects

An optional list of zero or more order items.

orderItems
string
enum

This field is optional and is used to enforce a specific payment method with the consumer instead of the consumer selecting a payment method on the payment method selection page. The CARDS value ensures that the consumer can choose between payment methods: MASTERCARD, VISA, BANCONTACT, MAESTRO and V_PAY.

string
enum

This field should only be delivered if the paymentBrand field (see above) is also specified. In the case of FORCE_ONCE, the indicated paymentBrand is only enforced on the first attempt. If this fails, the consumer can still choose another payment method. When FORCE_ALWAYS is chosen, the consumer is not allowed choose another payment method.

Allowed:
paymentBrandMetaData
object

Additional metadata specific to the brand as set in the paymentBrand field.

shippingCost
object

The order shipping cost amount in cents. Only used for display purposes. Does not influence order total.

shippingDetail
object

This structure contains address details and is typically used in specifying billing and shipping details of an order.

string

Generated by the webshop. If the ID contains more than 24 characters, the extra characters are removed after the 24th character.

string

This should be the parameter uniquely identifies the shopper within the merchant’s environment. When a card is stored, it is tied to the provided shopperRef. Stored cards can later be retrieved using the same shopperRef during subsequent payments.

boolean
Defaults to false

This field is used by the Smart Pay API to determine whether the consumer should be redirected to the HPP result page or not. By default this field is set to false.

string
required

Timestamp of the order announcement. As a rule this is the current date and time.

Headers
string
required

Content type of the request (application/json)

string
required

The value of this header is of the form Bearer <token> where <token> must be replaced with a valid access token. See the /gatekeeper/refresh endpoint

string
required

The User-Agent header containing information about the client making the request.

string

The header containing the User Agent and the Partner Reference. User Agent should be formatted as the User-Agent header standard, found here: https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/User-Agent, Partner Reference should be formatted like (pr: {value}) if there are multiple of these references, only the first one will be picked up

Responses

Language
URL
LoadingLoading…
Response
Choose an example:
application/json